## class SG_EXPORT Extensions

> Extensions class which encapsulates the querring of extensions and associated function pointers, and provide convinience wrappers to check for the extensions or use the associated functions

## Inheritance:

### Public Methods

Extensions()
Extensions(const Extensions& rhs)
void lowestCommonDenominator(const Extensions& rhs)
void setupGLExtenions()
void setMultisampleSupported(bool flag)
void setMultisampleFilterHintSupported(bool flag)
bool isMultisampleSupported() const
bool isMultisampleFilterHintSupported() const
void setSampleCoverageProc(void* ptr)
void glSampleCoverage(GLclampf value, GLboolean invert) const

### Protected Fields

bool _isMultisampleSupported
bool _isMultisampleFilterHintSupported
void* _glSampleCoverage

### Protected Methods

~Extensions()

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

> Extensions class which encapsulates the querring of extensions and associated function pointers, and provide convinience wrappers to check for the extensions or use the associated functions

`Extensions()`

`Extensions(const Extensions& rhs)`

`void lowestCommonDenominator(const Extensions& rhs)`

`void setupGLExtenions()`

`void setMultisampleSupported(bool flag)`

`void setMultisampleFilterHintSupported(bool flag)`

`bool isMultisampleSupported() const`

`bool isMultisampleFilterHintSupported() const`

`void setSampleCoverageProc(void* ptr)`

`void glSampleCoverage(GLclampf value, GLboolean invert) const`

`~Extensions()`

`bool _isMultisampleSupported`

`bool _isMultisampleFilterHintSupported`

`void* _glSampleCoverage`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.